Returns previous Throwable

- « Error::getMessage

- Error::getCode »

- PHP Manual
- Error
- Returns previous Throwable

# Error::getPrevious

(PHP 7, PHP 8)

Error::getPrevious — Returns previous Throwable

### Description

final public Error::getPrevious(): ?Throwable

Returns previous Throwable (the third parameter of Error::__construct()).

### Parameters

This function has no parameters.

### Return Values

Returns the previous Throwable if available or `null` otherwise.

### Examples

Example #1 Error::getPrevious() example

Looping over, and printing out, error trace.

    <?php
    class MyCustomError extends Error {}

    function doStuff() {
        try {
            throw new InvalidArgumentError("You are doing it wrong!", 112);
        } catch(Error $e) {
            throw new MyCustomError("Something happened", 911, $e);
        }
    }

    try {
        doStuff();
    } catch(Error $e) {
        do {
            printf("%s:%d %s (%d) [%s]\n", $e->getFile(), $e->getLine(), $e->getMessage(), $e->getCode(), get_class($e));
        } while($e = $e->getPrevious());
    }
    ?>

The above example will output something similar to:

    /home/bjori/ex.php:8 Something happened (911) [MyCustomError]
    /home/bjori/ex.php:6 You are doing it wrong! (112) [InvalidArgumentError]

### See Also

- Throwable::getPrevious() - Returns the previous Throwable